import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.razumey.Ambiance 1.0

Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait
    tools: ToolBarLayout {
        ToolIcon {
            iconId: "toolbar-back"
            onClicked: Qt.quit()
        }
    }
	
	Ambiance {
        id: ambiance
    }	

	
    Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height	
		
	Column {
        id: content
        spacing: 20
        width: parent.width
		
        DcpPageTitle {
                id: titleLabel
                text: "Смена UserAgent"
            }

			Label {
            text: "Для изменения User Agent стандартного Интернет обозревателя выберите один из предоставленных ниже вариантов, дождитесь уведомления о завершении операции, затем можете запустить браузер, он будет с выбранным вами UserAgent'ом"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 20
            }		
			
			Label {
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 27
            text:
                "<a href=\"http://ru.wikipedia.org/wiki/User_Agent\">Что такое User Agent</a>"
            onLinkActivated: Qt.openUrlExternally(link)
		}
			Separator {
                width: parent.width
                title: "Выбор параметра"
            }
			
	        Label {
            text: "Выберите новый UserAgent"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
			font.pixelSize: 24
            }			
		
        Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Android"
            onClicked: {
			    ambiance.shell("/opt/internetua/sh/ru/android.sh")
                }
            }

        Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "iOS"
            onClicked: {
			    ambiance.shell("/opt/internetua/sh/ru/ios.sh")
                }
        }
    
	    Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Desktop"
            onClicked: {
			    ambiance.shell("/opt/internetua/sh/ru/desktop.sh")
                }
        }
		
	    Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Windows Phone 8"
            onClicked: {
			    ambiance.shell("/opt/internetua/sh/ru/wp.sh")
                }
        }
		
		Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "По умолчанию"
            onClicked: {
			    ambiance.shell("/opt/internetua/sh/ru/default.sh")
                }
        }
		
		Separator {
                width: parent.width
                title: "Обратная связь"
            }
			
			Label {
            text: "Связь со мной:"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 34
            }
			
	    Label {
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 34
            text:
                "<a href=\"http://m.vk.com/id10202be9\">Вконтакте</a>"
            onLinkActivated: Qt.openUrlExternally(link)
		}
		
		Label {
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 34
            text:
                "<a href=\"https://twitter.com/iRazumey\">Twitter</a>"
            onLinkActivated: Qt.openUrlExternally(link)
		}
	    
		Item { //spacing
                width: 1
                height: 30
        }
		
		Label {
            text: "Собрано на основе UAChanger из консольного скрипта N9Qtweak от пользователя Schturman"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
			font.pixelSize: 24
            }	
		Label {
            text: "Спасибо большое пользователю Ancelad за подсказки и советы!"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
			font.pixelSize: 24
            }		
		Item { //spacing
                width: 1
                height: 30
        }
		
		ScrollDecorator {
             flickableItem: flickable
        }   	   
    }
}
}
