import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.razumey.Ambiance 1.0

Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait
    tools: ToolBarLayout {
        ToolIcon {
            iconId: "toolbar-back"
            onClicked: Qt.quit()
        }
    }
	
	Ambiance {
        id: ambiance
    }	
	
    Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height	
		
	Column {
        id: content
        spacing: 20
        width: parent.width
		
        DcpPageTitle {
                id: titleLabel
                text: "Change UserAgent"
            }

			Label {
            text: "To change the User Agent standard Internet browser, select one of the below options, wait for notification of the completion, then you can start the browser, it will be with your chosen UserAgent"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 20
            }		
			
			Label {
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 27
            text:
                "<a href=\"http://en.wikipedia.org/wiki/User_Agent\">What is a User Agent</a>"
            onLinkActivated: Qt.openUrlExternally(link)
		}
			Separator {
                width: parent.width
                title: "Options"
            }
			
	        Label {
            text: "Select a new UserAgent"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
			font.pixelSize: 24
            }			
		
        Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Android"
            onClicked: {
			    ambiance.shell("/opt/internetua/sh/android.sh")
                }
            }

        Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "iOS"
            onClicked: {
			    ambiance.shell("/opt/internetua/sh/ios.sh")
                }
        }
    
	    Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Desktop"
            onClicked: {
			    ambiance.shell("/opt/internetua/sh/desktop.sh")
                }
        }
	    
		Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Windows Phone 8"
            onClicked: {
			    ambiance.shell("/opt/internetua/sh/wp.sh")
                }
        }
		
		Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Default"
            onClicked: {
			    ambiance.shell("/opt/internetua/sh/default.sh")
                }
        }
		
		Separator {
                width: parent.width
                title: "Support"
            }
			
		
	
			
			Label {
            text: "Connect with me:"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 34
            }
			
	    Label {
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 34
            text:
                "<a href=\"http://m.vk.com/id10202be9\">vk.com</a>"
            onLinkActivated: Qt.openUrlExternally(link)
		}
		
		Label {
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 34
            text:
                "<a href=\"https://twitter.com/iRazumey\">Twitter</a>"
            onLinkActivated: Qt.openUrlExternally(link)
		}
	    
		Item { //spacing
                width: 1
                height: 30
        }
		
		Label {
            text: "Collected on the basis UAChanger of a console script N9Qtweak user Schturman"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
			font.pixelSize: 24
            }	
		Label {
            text: "Thank for the user Ancelad hints and tips!"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
			font.pixelSize: 24
            }		
		Item { //spacing
                width: 1
                height: 30
        }
		
		ScrollDecorator {
             flickableItem: flickable
        }   	   
    }
}
}
